import type { VariantProps } from 'class-variance-authority';
export declare const formClassesMap: {
    text: string;
    email: string;
    url: string;
    password: string;
    number: string;
    date: string;
    datetime: string;
    month: string;
    search: string;
    tel: string;
    time: string;
    week: string;
    checkbox: string;
    radio: string;
    textarea: string;
    select: string;
    multiselect: string;
    color: string;
    false: any;
};
export declare const sharedDisabledCVA: {
    true: string[];
    false: any;
};
export declare const microInteractions: string;
export declare const roundness: {
    input: string;
};
export declare const sharedTextSizesBase: {
    sm: string[];
    md: string[];
    lg: string[];
};
export declare const sharedTextSizesHeading: {
    sm: string[];
    md: string[];
    lg: string[];
};
export declare const sharedTextSizesDescription: {
    sm: string[];
    md: string[];
    lg: string[];
};
export declare const sharedSizeClassesCVA: {
    sm: string[];
    md: string[];
    lg: string[];
};
export declare const sharedSizeSquareCVA: {
    sm: string[];
    md: string[];
    lg: string[];
};
export declare const sharedReadOnlyCVA: {
    true: string;
    false: string;
};
export declare const loaderClasses: (props?: {
    loading?: boolean;
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const invalid: {
    text: string[];
    ring: string[];
    border: string[];
};
export declare const errorClasses: {
    text: string[];
    ring: string[];
    border: string[];
};
export declare const sharedErrorClasses: string;
export declare const classes: {
    required: string[];
    label: string[];
    loaderInputPosition: (props?: {
        loading?: boolean;
    } & import("class-variance-authority/dist/types").ClassProp) => string;
    input: string[];
    checkable: string[];
};
export declare const inputClassesCVA: (props?: {
    clearable?: boolean;
    interactionsDisabled?: boolean;
    variant?: "text" | "contained" | "outlined" | "unstyled";
    size?: "md" | "sm" | "lg";
    startAdornment?: boolean;
    endAdornment?: boolean;
    error?: boolean;
    type?: boolean | "number" | "text" | "select" | "file" | "color" | "checkbox" | "email" | "url" | "password" | "date" | "datetime" | "month" | "search" | "tel" | "time" | "week" | "radio" | "textarea" | "multiselect";
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const text: (props?: {
    size?: "md" | "sm" | "lg";
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const inputContainer: (props?: {
    layout?: "column" | "row";
    disabled?: boolean;
    error?: boolean;
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const label: (props?: {
    size?: "md" | "sm" | "lg";
    required?: boolean;
    for?: "checkbox";
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const inputIcon: (props?: {
    position?: "left" | "right";
    type?: boolean | "select";
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const optionListClasses: (props?: {
    open?: boolean;
    placement?: "top" | "bottom";
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const selectedOptionClasses: (props?: {} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const selectOptionClasses: (props?: {
    selected?: boolean;
    active?: boolean;
    disabled?: boolean;
    multiple?: boolean;
    size?: "md" | "sm" | "lg";
    truncate?: boolean;
} & import("class-variance-authority/dist/types").ClassProp) => string;
export declare const selectOptionIconClasses: (props?: {
    selected?: boolean;
    active?: boolean;
} & import("class-variance-authority/dist/types").ClassProp) => string;
declare const debugClassesCVA: (props?: {
    color?: "red" | "green" | "blue" | "yellow" | "purple" | "pink" | "indigo" | "gray" | "black" | "white";
} & import("class-variance-authority/dist/types").ClassProp) => string;
type ClassesArgs = VariantProps<typeof debugClassesCVA>;
export declare const debugClasses: (color?: ClassesArgs['color']) => string;
export {};
//# sourceMappingURL=classes.d.ts.map